Page MenuHomePhabricator

Mediawiki:Anonnotice does not hide Mediawiki:Sitenotice anymore
Closed, ResolvedPublic

Description

Hi there!

I have a sitenotice turned on on the Dutch Wikipedia and want it to show only for logged in users. So I filled the Anonnotice, but the Sitenotice was still visable for anons. I tried to leave it empty, but it is still visible on our homepage, so that doesn't work either. What am I doing wrong?

https://nl.wikipedia.org/w/index.php?title=MediaWiki%3AAnonnotice&type=revision&diff=52772994&oldid=52772935
https://nl.wikipedia.org/wiki/Hoofdpagina

Event Timeline

Ciell created this task.Dec 11 2018, 8:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 11 2018, 8:56 AM
Ciell added a comment.Dec 11 2018, 1:09 PM

Hi Arne, yes, that about summerizes it. I tried putting a   in the Anonnotice, that didn't work and the '- ' didn't work either. Should it be more characters?
But it only keeps displaying on the Homepage, not on the other pages?

Krinkle added a subscriber: Krinkle.EditedDec 12 2018, 12:23 AM

Looking at the code, I see the following:

  • If the user is logged-in:
    • Consider Sitenotice, used if it is not blank or disabled.
  • Else - if the user is anonymous:
    • Consider Anonnotice, used if it is not blank or disabled.
    • If it is blank, display nothing.
    • If is it disabled:
      • Consider Sitenotice, used if it is not blank or disabled.

This means that the documentation I see in Dutch on nl.wikipedia.org's edit notice for editing "sitenotice" and "anonnotice" messages appears to be correct.

I also confirmed locally in the software that creating "Sitenotice" with Hello and creating "Anonnotice" with blank (nothing, not even a dash).. Then it correctly shows "Hello" to logged-in users and nothing to logged-out users.

@Ciell Can you try it again on nl.wikipedia.org? Ping me on IRC before you start, so that I can investigate it while it is enabled if it doesn't work.

Krinkle claimed this task.Dec 12 2018, 12:23 AM
Krinkle closed this task as Resolved.EditedDec 16 2018, 11:49 PM

Original cause unknown, but when @Ciell tried it together this week, it worked fine. Closing for now.